import type { App } from "./app.js";
import type { Collection } from "./collection_model.js";
export declare function syncRecordTableSchema(app: App, newCollection: Collection, oldCollection: Collection | null): Promise<Error | null>;
export declare function syncRecordTableSchemaSync(app: App, newCollection: Collection, oldCollection: Collection | null): Error | null;
export declare function dropCollectionIndexes(app: App, collection: Collection): Error | null;
export declare function createCollectionIndexes(app: App, collection: Collection): Error | null;
